<!--
<div class="modal fade">
          <div class="modal-dialog">
            <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" ng-click="close('Cancel')" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">Yes or No?</h4>
              </div>
              <div class="modal-body">
                <p>It's your call...</p>
              </div>
              <div class="modal-footer">
                <button type="button" ng-click="close('No')" class="btn btn-default" data-dismiss="modal">No</button>
                <button type="button" ng-click="close('Yes')" class="btn btn-primary" data-dismiss="modal">Yes</button>
              </div>
            </div>
          </div>
        </div>

        -->
<div class="modal">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">

        <h4 class="modal-title">Checkout</h4>

      </div>
      <div class="modal-body">
        <div ng-show="payment == 'CreditCard'">
          Pay with cc
          <form action='https://sandbox.2checkout.com/checkout/purchase' method='post'>
            <!-- <input type='hidden' name='sid' value='901341615' /> -->
            <input type='hidden' name='sid' value='901392519' />
            <input type='hidden' name='mode' value='2CO' />
            <input type='hidden' name='li_0_type' value='product' />
            <input type='hidden' name='li_0_name' value='invoice123' />
            <input type='hidden' name='li_0_price' value='25.99' />
            <input type='hidden' name='card_holder_name' value='Checkout Shopper' />
            <input type='hidden' name='street_address' value='123 Test Address' />
            <input type='hidden' name='street_address2' value='Suite 200' />
            <input type='hidden' name='city' value='Columbus' />
            <input type='hidden' name='state' value='OH' />
            <input type='hidden' name='zip' value='43228' />
            <input type='hidden' name='country' value='USA' />
            <input type='hidden' name='email' value='example@2co.com' />
            <input type='hidden' name='phone' value='614-921-2450' />
            <input name='submit' type='submit' remove-modal ng-click="close();" value='Checkout' />
          </form>
          <script src="https://www.2checkout.com/static/checkout/javascript/direct.min.js"></script>
        </div>
        <div ng-show="payment == 'Paypal'">
          Paypal
        </div>
        <div ng-show="!payment">
          <div ng-repeat='cart in cart_items'>
            <span id='{{cart.id}}'>
              {{cart.name}} {{cart.service_label}} {{cart.price}}
              <a ng-click='cartRemove(cart.id)' class="remove-item glyphicon glyphicon-trash"></a>
            </span>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <!--  <button type="button" ng-click="close('No')" class="btn btn-default" data-dismiss="modal">No</button>
                <button type="button" ng-click="close('Yes')" class="btn btn-primary" data-dismiss="modal">Yes</button> -->
        <button remove-modal ng-click="payment = 'Paypal'; close();" class="btn btn-info col-md-5">PayPal</button>
        <button ng-click="payment = 'CreditCard';" class="btn btn-info col-md-5">CreditCard</button>
      </div>
    </div>
  </div>
</div>